<!--
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2021-09-03 17:23:10
 * @LastEditors: wj 1454560336@qq.com
 * @LastEditTime: 2023-10-27 16:01:17
 * @FilePath: \admin-manage\src\App.vue
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
-->
<template>
  <div id="app">
    <router-view v-if="flag" />
  </div>
</template>

<script>
export default {
  name: 'App',
  provide(){
    return {
      reload:this.reload
    }
  },
  data() {
    return {
      flag: true
    }
  },
  methods: {
    reload() {
      this.flag = false
      this.$nextTick(()=>{
        this.flag = true
      })
    }
  },
}
</script>
